Debian Bug report logs - #484389
gnuplot: bashism in debian/rules

version graph

Package: gnuplot; Maintainer for gnuplot is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for gnuplot is src:gnuplot.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Tue, 3 Jun 2008 23:06:14 UTC

Severity: important

Tags: patch

Found in version gnuplot/4.2.2-1

Fixed in versions gnuplot/4.2.2-1.1, gnuplot/4.2.3-1

Done: Thierry Randrianiriana <randrianiriana@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Cyril Bouthors <cyril@bouthors.org>:
Bug#484389; Package gnuplot. Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: gnuplot: bashism in debian/rules
Date: Tue, 3 Jun 2008 18:05:00 -0500
Source: gnuplot
Severity: important
Version: 4.2.2-1
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While checking for bashisms in debian/rules with checkbashisms (from 
the 'devscripts' package) I've found your package making use of a bashism.

checkbashisms' output:
> possible bashism in gnuplot/debian/rules line 93 (brace expansion):
>         -rm -rf config.log
> debian/{gnuplot,gnuplot-doc,gnuplot-nox,gnuplot-x11} \

Not using bash (or a Debian Policy conformant shell interpreter which does 
provide such an extra feature) as /bin/sh is likely to lead to errors or 
unexpected behaviours.
Please be aware that although bash is currently the default /bin/sh there's a 
release goal for Lenny to make dash the default /bin/sh[1].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html

For more information please refer to the Debian Policy section 10.4 supporting 
this argument at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

Hints about how to fix bashisms:
Sometimes these bugs are already fixed in Ubuntu, look at the PTS.
If not already fixed you can read:
https://wiki.ubuntu.com/DashAsBinSh

[1]http://release.debian.org/lenny/goals.txt

Thank you,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Tags added: patch Request was from Serafeim Zanikolas <serzan@hellug.gr> to control@bugs.debian.org. (Sat, 07 Jun 2008 00:09:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Bouthors <cyril@bouthors.org>:
Bug#484389; Package gnuplot. Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <serzan@hellug.gr>:
Extra info received and forwarded to list. Copy sent to Cyril Bouthors <cyril@bouthors.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #10 received at 484389@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <serzan@hellug.gr>
To: 484389@bugs.debian.org
Date: Sat, 7 Jun 2008 01:20:34 +0100
[Message part 1 (text/plain, inline)]
patch attached
[rules-bashism-fix.patch (text/x-diff, attachment)]

Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 484389-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 484389-close@bugs.debian.org
Subject: Bug#484389: fixed in gnuplot 4.2.2-1.1
Date: Sun, 29 Jun 2008 16:32:03 +0000
Source: gnuplot
Source-Version: 4.2.2-1.1

We believe that the bug you reported is fixed in the latest version of
gnuplot, which is due to be installed in the Debian FTP archive:

gnuplot-doc_4.2.2-1.1_all.deb
  to pool/main/g/gnuplot/gnuplot-doc_4.2.2-1.1_all.deb
gnuplot-nox_4.2.2-1.1_i386.deb
  to pool/main/g/gnuplot/gnuplot-nox_4.2.2-1.1_i386.deb
gnuplot-x11_4.2.2-1.1_i386.deb
  to pool/main/g/gnuplot/gnuplot-x11_4.2.2-1.1_i386.deb
gnuplot_4.2.2-1.1.diff.gz
  to pool/main/g/gnuplot/gnuplot_4.2.2-1.1.diff.gz
gnuplot_4.2.2-1.1.dsc
  to pool/main/g/gnuplot/gnuplot_4.2.2-1.1.dsc
gnuplot_4.2.2-1.1_all.deb
  to pool/main/g/gnuplot/gnuplot_4.2.2-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 484389@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated gnuplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Jun 2008 16:36:13 +0100
Source: gnuplot
Binary: gnuplot gnuplot-nox gnuplot-x11 gnuplot-doc
Architecture: source all i386
Version: 4.2.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Cyril Bouthors <cyril@bouthors.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 gnuplot    - A command-line driven interactive plotting program
 gnuplot-doc - Documentation for gnuplot
 gnuplot-nox - A command-line driven interactive plotting program
 gnuplot-x11 - X11-terminal driver for gnuplot
Closes: 484389
Changes: 
 gnuplot (4.2.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload from the Cambridge BSP.
   * Fix bashism in debian/rules (Closes: #484389, thanks to Serafeim Zanikolas
     for the patch)
Checksums-Sha1: 
 1c59953c16b0d685b61ef542b61388bddc24b1eb 1267 gnuplot_4.2.2-1.1.dsc
 980d98ca9814edd81cb1eb387943c7a131ccbf28 27549 gnuplot_4.2.2-1.1.diff.gz
 925bfcc5a7cbaaa2f7e04d587727401a7bd49461 1418 gnuplot_4.2.2-1.1_all.deb
 917598c01a59cd8df7525ee91c131c4838d390d7 2092166 gnuplot-doc_4.2.2-1.1_all.deb
 dcb8911a2231a1acda0530595d2a5471676421a5 866524 gnuplot-nox_4.2.2-1.1_i386.deb
 2b53738da271255c7b392a584eb2d744d5e4fb21 158802 gnuplot-x11_4.2.2-1.1_i386.deb
Checksums-Sha256: 
 c4e9f96a4aad6463c6d2930584f190ab763176bc8bc5127a6d83ab844e0eae2f 1267 gnuplot_4.2.2-1.1.dsc
 889f74cf9372f1ebfe7b91b47247aa0f182949c41451577ee77173f45561cd50 27549 gnuplot_4.2.2-1.1.diff.gz
 a3d695c385dd0d1be7bd5b0f0048bce1e809020b5d215ad94afe3f0d6b4d6ff5 1418 gnuplot_4.2.2-1.1_all.deb
 a32320cd3b5acfc90ad3313e5180570c39c5f2e2c3f998acd24ceef761335ac2 2092166 gnuplot-doc_4.2.2-1.1_all.deb
 92806828577bc19438d1169af11fbbfabd444bc48490425a26598992a101dbf0 866524 gnuplot-nox_4.2.2-1.1_i386.deb
 3bd0e13e1149f4a29a99856a5227a1f040b81ea088db13293b1ec18521860cca 158802 gnuplot-x11_4.2.2-1.1_i386.deb
Files: 
 7d992f11de850ceb2fec6d06fbbfd17f 1267 math optional gnuplot_4.2.2-1.1.dsc
 84f17c7d98b300be34a9590ec5fcef82 27549 math optional gnuplot_4.2.2-1.1.diff.gz
 f8f10f33d77ab85e62abe12e5fb59766 1418 math optional gnuplot_4.2.2-1.1_all.deb
 c4ac835d6b866894982a4dc738e2d64e 2092166 doc optional gnuplot-doc_4.2.2-1.1_all.deb
 3ac1473453467678735c34cb1c26261b 866524 math optional gnuplot-nox_4.2.2-1.1_i386.deb
 979b450c6a03ec845ad14ae0369c0219 158802 math optional gnuplot-x11_4.2.2-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----

iD8DBQFIZ7aZWSc8zVUw7HYRAlYPAKCZRPKHE7TKkfWjFkvRcI4C0hiwCACgzanw
ZdlV/7tTcwoIhv93d2IMvEg=
=VRuW
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Bouthors <cyril@bouthors.org>:
Bug#484389; Package gnuplot. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Cyril Bouthors <cyril@bouthors.org>. Full text and rfc822 format available.

Message #20 received at 484389@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 484389@bugs.debian.org
Subject: gnuplot: diff for NMU version 4.2.2-1.1
Date: Sun, 29 Jun 2008 21:03:42 +0100
[Message part 1 (text/plain, inline)]
tags 484389 + patch
thanks

Hi,

Attached is the diff for my gnuplot 4.2.2-1.1 NMU.
[gnuplot-4.2.2-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 29 Jun 2008 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Thierry Randrianiriana <randrianiriana@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 484389-close@bugs.debian.org (full text, mbox):

From: Thierry Randrianiriana <randrianiriana@gmail.com>
To: 484389-close@bugs.debian.org
Subject: Bug#484389: fixed in gnuplot 4.2.3-1
Date: Mon, 28 Jul 2008 21:02:16 +0000
Source: gnuplot
Source-Version: 4.2.3-1

We believe that the bug you reported is fixed in the latest version of
gnuplot, which is due to be installed in the Debian FTP archive:

gnuplot-doc_4.2.3-1_all.deb
  to pool/main/g/gnuplot/gnuplot-doc_4.2.3-1_all.deb
gnuplot-nox_4.2.3-1_i386.deb
  to pool/main/g/gnuplot/gnuplot-nox_4.2.3-1_i386.deb
gnuplot-x11_4.2.3-1_i386.deb
  to pool/main/g/gnuplot/gnuplot-x11_4.2.3-1_i386.deb
gnuplot_4.2.3-1.diff.gz
  to pool/main/g/gnuplot/gnuplot_4.2.3-1.diff.gz
gnuplot_4.2.3-1.dsc
  to pool/main/g/gnuplot/gnuplot_4.2.3-1.dsc
gnuplot_4.2.3-1_all.deb
  to pool/main/g/gnuplot/gnuplot_4.2.3-1_all.deb
gnuplot_4.2.3.orig.tar.gz
  to pool/main/g/gnuplot/gnuplot_4.2.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 484389@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thierry Randrianiriana <randrianiriana@gmail.com> (supplier of updated gnuplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Jul 2008 14:17:05 +0300
Source: gnuplot
Binary: gnuplot gnuplot-nox gnuplot-x11 gnuplot-doc
Architecture: source all i386
Version: 4.2.3-1
Distribution: unstable
Urgency: low
Maintainer: Cyril Bouthors <cyril@bouthors.org>
Changed-By: Thierry Randrianiriana <randrianiriana@gmail.com>
Description: 
 gnuplot    - A command-line driven interactive plotting program
 gnuplot-doc - Documentation for gnuplot
 gnuplot-nox - A command-line driven interactive plotting program
 gnuplot-x11 - X11-terminal driver for gnuplot
Closes: 471685 484389 487859
Changes: 
 gnuplot (4.2.3-1) unstable; urgency=low
 .
   * New upstream release (Closes: #471685, #487859)
   * Ack NMU, thanks to Serafeim Zanikolas. (Closes: #484389)
   * debian/control
     + removed tetex-bin,tetex-extra in Build-Depends
     + Used Homepage field
     + Updated Standards-Version to 3.8.0
     + Updated debhelper to >= 6
     + Fixed spelling error in description
   * debian/compat:
     + Updated debhelper compat level to 6.
   * debian/rules:
     + Added LDFLAGS="-Wl,-z,defs,-as-needed"
   * Added description in the patch file 01_check_x11-driver.dpatch
   * Updated doc-base section to Science/Mathematics
Checksums-Sha1: 
 db0b00a593483091173ea2cf9478d09d03bee350 1317 gnuplot_4.2.3-1.dsc
 9f6239ef69ac5a6d68f40dc797f8a0b35b80f491 2840611 gnuplot_4.2.3.orig.tar.gz
 ecd518ab533ec1613e0c55cf3d052e44cc68aa15 16044 gnuplot_4.2.3-1.diff.gz
 3d6caf7d3779e1347e39bbdef7c1f7209dc387c7 1410 gnuplot_4.2.3-1_all.deb
 3117a44f139324bf6b5c54a1b9d30da114d0d378 2099014 gnuplot-doc_4.2.3-1_all.deb
 f63484f80b954c17893c3047b3f317de59f2f5af 874612 gnuplot-nox_4.2.3-1_i386.deb
 9d516a946f52907407f6939fde06026bd5dff4f1 162624 gnuplot-x11_4.2.3-1_i386.deb
Checksums-Sha256: 
 9f67ad688ce369df6d71fc8d8766c5357c328251474cc0a4128bc6675768ea07 1317 gnuplot_4.2.3-1.dsc
 4aae09bf99ab2642308b0042eb18b75bc18ff33969a7431bba60b09cc2f600f4 2840611 gnuplot_4.2.3.orig.tar.gz
 795cea3ece0a97d83bb3ab8ee5cccc8f476459bedbc9a3287f94351b5967b487 16044 gnuplot_4.2.3-1.diff.gz
 a796b30ef7d369c1e56882f50d0a3ee096630ce4731b530186b15da6a3b47fff 1410 gnuplot_4.2.3-1_all.deb
 56d662a4052bb7fd9c9dea811e391853ec8786426f9ed2c1c87d309d436e5d92 2099014 gnuplot-doc_4.2.3-1_all.deb
 2652b92f4c65633d74a026e914ee0b23f4657db3d82ac4d4faff472c7d55b8ae 874612 gnuplot-nox_4.2.3-1_i386.deb
 839fad68d22303e8cd4f09a3fd98d187ffd90988c78df92be0eb2f25b9805845 162624 gnuplot-x11_4.2.3-1_i386.deb
Files: 
 198eac303a4c447b686ae9c745f056b8 1317 math optional gnuplot_4.2.3-1.dsc
 6b6d22662df5101b308c465a722c43ce 2840611 math optional gnuplot_4.2.3.orig.tar.gz
 d3f9364cf1aa88f22185083b6a3c38d8 16044 math optional gnuplot_4.2.3-1.diff.gz
 c09d6993d05af165167cd9eb96ee6076 1410 math optional gnuplot_4.2.3-1_all.deb
 c8fdbee3c6d49a0e9bb7deb3a10477ff 2099014 doc optional gnuplot-doc_4.2.3-1_all.deb
 483431f20b3ff5e2fabca3bf9f55e60d 874612 math optional gnuplot-nox_4.2.3-1_i386.deb
 abc700bb50b3558e6ff4cdce986c286f 162624 math optional gnuplot-x11_4.2.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiOJXQACgkQCV53xXnMZYaW9gCdE2FB2Aozuh0zfD7Yk821kPVI
5RoAoLseIZDzclT4ak/8/f8mRXqKRD30
=1eY8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Aug 2008 07:33:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:25:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.